// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Process的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
var Process_PlantNr = grmi.NewField("PlantNr", "Process.PlantNr", "plantnr", grmi.TypeInt)
var Process_PO = grmi.NewField("PO", "Process.PO", "po", grmi.TypeInt)
var Process_WorkLineId = grmi.NewField("WorkLineId", "Process.WorkLineId", "worklineid", grmi.TypeString)
var Process_Name = grmi.NewField("Name", "Process.Name", "name", grmi.TypeString)
var Process_Descr = grmi.NewField("Descr", "Process.Descr", "descr", grmi.TypeString)
var Process_PrePO = grmi.NewField("PrePO", "Process.PrePO", "prepo", grmi.TypeString)
var Process_NextPO = grmi.NewField("NextPO", "Process.NextPO", "nextpo", grmi.TypeString)
var Process_IsFirstPO = grmi.NewField("IsFirstPO", "Process.IsFirstPO", "isfirstpo", grmi.TypeBool)
var Process_IsLastPO = grmi.NewField("IsLastPO", "Process.IsLastPO", "islastpo", grmi.TypeBool)
var Process_HasDependOn = grmi.NewField("HasDependOn", "Process.HasDependOn", "hasdependon", grmi.TypeBool)
var Process_LastModify = grmi.NewField("LastModify", "Process.LastModify", "lastmodify", grmi.TypeDateTime)
var Process_LastUser = grmi.NewField("LastUser", "Process.LastUser", "lastuser", grmi.TypeString)
var Process_CreateTime = grmi.NewField("CreateTime", "Process.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Process的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-11 10:00:53
 *
 ******************************************************************************/
var Process = grmi.NewEntity(
	"Process",
	func() interface{} { return &model.Process{} },
	map[string]grmi.Field{
		Process_PlantNr.Name:     Process_PlantNr,
		Process_PO.Name:          Process_PO,
		Process_WorkLineId.Name:  Process_WorkLineId,
		Process_Name.Name:        Process_Name,
		Process_Descr.Name:       Process_Descr,
		Process_PrePO.Name:       Process_PrePO,
		Process_NextPO.Name:      Process_NextPO,
		Process_IsFirstPO.Name:   Process_IsFirstPO,
		Process_IsLastPO.Name:    Process_IsLastPO,
		Process_HasDependOn.Name: Process_HasDependOn,
		Process_LastModify.Name:  Process_LastModify,
		Process_LastUser.Name:    Process_LastUser,
		Process_CreateTime.Name:  Process_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Name", "Descr", "PrePO", "NextPO", "IsFirstPO", "IsLastPO", "HasDependOn", "LastUser"})
